## Node version
\>= 18

## Develop

```sh
npm i
npm run docs:dev
```

## 新增文档

把需要新增的文档放在 `pages/docs/` `pages/{语言}/docs/` 下，必须为 markdown 文档

## 组件库

element-ui plus

## 样式定制

主要是[ vitepress ](https://vitepress.dev/zh/guide/extending-default-theme#customizing-css)和[ element-ui ](https://element-plus.org/zh-CN/guide/theming.html)的样式变量覆盖


### icons

使用[ unplugin-icons ](https://github.com/unplugin/unplugin-icons?tab=readme-ov-file)和[ iconify ](https://iconify.design/docs)

#### 新增icon

- 导出 figma svg，放在 assets/icons 目录下，是plain还是colored看情况而定
  - plain: 单色图标，可以通过css 属性设置颜色(color)和大小
  - colored: 双色图标，固定颜色，一般是多种颜色的图标
- 导入组件使用
  ```
  import IconNotebook from "~icons/ccrbi-plain/notebook";
  <IconNotebook color="blue" />
  ```
- 如果要新增一个单独的icon组，需要编辑config.mts vite.Icons里面的内容
